## fribid 1.0.4

=== Makefile ===
#
#  Copyright (c) 2009-2010 Samuel Lidén Borell <samuel@kodafritt.se>
# 
#  Permission is hereby granted, free of charge, to any person obtaining a copy
#  of this software and associated documentation files (the "Software"), to deal
#  in the Software without restriction, including without limitation the rights
#  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
#  copies of the Software, and to permit persons to whom the Software is
#  furnished to do so, subject to the following conditions:
#  
#  The above copyright notice and this permission notice shall be included in
#  all copies or substantial portions of the Software.
#  
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
#  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
#  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
#  THE SOFTWARE.
#

SUBDIRS=client plugin translations doc

DISTNAME=`./configure --internal--get-define=BINNAME`-`./configure --internal--get-define=PACKAGEVERSION`

all clean install uninstall:
	for dir in $(SUBDIRS); do (cd $$dir && $(MAKE) $@) || exit $?; done

distclean: clean
	rm -f common/config.h

# Package creation
dist:
	git archive --format=tar --prefix=$(DISTNAME)/ HEAD | bzip2 > $(DISTDESTDIR)$(DISTNAME).tar.bz2

distsig: dist
	gpg --detach-sign -a -u B21DF30E $(GPGFLAGS) $(DISTDESTDIR)$(DISTNAME).tar.bz2


# Release management
prepare-release: refresh-release-time refresh-changelog-time set-version

need-version:
	@[ -n "$$version" ] || (echo "The \`version' environment variable is not set" > /dev/stderr; false)

refresh-release-time:
	date=`date '+%s'` && \
	sed -ri 's/(#define RELEASE_TIME\s+)([0-9]+)/\1'$$date'/' common/defines.h

set-version: need-version
	sed -ri 's/(#define PACKAGEVERSION\s+")([^"]+)(")/\1'$$version'\3/' common/defines.h

refresh-changelog-time: need-version
	date=`date '+%F'` && \
	sed -ri "s/^($$version - )([0-9?-]+)(.*)/\1$$date\3/" CHANGELOG

tag-release: need-version
	GIT_COMMITTER_NAME="FriBID Project" GIT_COMMITTER_EMAIL=releases@fribid.se git tag -u B21DF30E "v$$version"

.PHONY: all clean dist distclean distsig install need-version prepare-release refresh-release-time set-version tag-release uninstall $(SUBDIRS)

=== client/Makefile ===
#
#  Copyright (c) 2009-2011 Samuel Lidén Borell <samuel@kodafritt.se>
# 
#  Permission is hereby granted, free of charge, to any person obtaining a copy
#  of this software and associated documentation files (the "Software"), to deal
#  in the Software without restriction, including without limitation the rights
#  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
#  copies of the Software, and to permit persons to whom the Software is
#  furnished to do so, subject to the following conditions:
#  
#  The above copyright notice and this permission notice shall be included in
#  all copies or substantial portions of the Software.
#  
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
#  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
#  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
#  THE SOFTWARE.
#

CFLAGS ?= -O2 -g
PKGCONFIG_CFLAGS=`../configure --internal--get-pc-cflags`
CCFLAGS:=$(CFLAGS) -Wall -Wextra -std=c99 -pedantic -Wno-unused-parameter -I../npapi/include $(PKGCONFIG_CFLAGS) -DGTK_DISABLE_DEPRECATED=1 -DGDK_DISABLE_DEPRECATED=1 -DG_DISABLE_DEPRECATED=1 -DGSEAL_ENABLE -DFRIBID_CLIENT
# You may have to add -lpthread after $(LDFLAGS) on OpenBSD
LINKFLAGS:=$(CFLAGS) $(LDFLAGS) -Wl,--as-needed
LIBS=`../configure --internal--get-pc-libs`

# Files to be installed
LIBEXEC_PATH=`../configure --internal--get-define=LIBEXEC_PATH`
SHARE_PATH=`../configure --internal--get-define=SHARE_PATH`
UI_PATH=`../configure --internal--get-define=UI_PATH`
SIGNING_EXECUTABLE=`../configure --internal--get-define=SIGNING_EXECUTABLE`
UI_GTK_XML=`../configure --internal--get-define=UI_GTK_XML`

# Object files. The != assignment is interpreted by BSD make only, and the second one is interpreted by GNU make only
# The `...` syntax does not seem to work with dependencis
EXTRA_OBJECTS!=../configure --internal--list-extra-objects
EXTRA_OBJECTS?=$(shell ../configure --internal--list-extra-objects)
OBJECTS:=backend.o bankid.o certutil.o pkcs12.o request.o main.o misc.o pipe.o posix.o prefs.o glibconfig.o gtk.o xmldsig.o secmem.o $(EXTRA_OBJECTS)

all: sign gtk/sign.xml

backend.o: ../common/biderror.h ../common/bidtypes.h backend.h backend_private.h
bankid.o: ../common/biderror.h ../common/bidtypes.h bankid.h backend.h misc.h platform.h prefs.h xmldsig.h
certutil.o: certutil.h misc.h platform.h
glibconfig.o: platform.h misc.h
gtk.o: ../common/biderror.h ../common/bidtypes.h backend.h bankid.h certutil.h platform.h misc.h
main.o: ../common/biderror.h ../common/bidtypes.h ../common/pipe.h backend.h bankid.h misc.h platform.h prefs.h secmem.h
misc.o: misc.h
pkcs11.o: ../common/biderror.h ../common/bidtypes.h backend.h backend_private.h prefs.h misc.h
pkcs12.o: ../common/biderror.h ../common/bidtypes.h backend.h backend_private.h certutil.h misc.h request.h
pipe.o: ../common/pipe.h ../common/pipe.c
posix.o: platform.h
prefs.o: prefs.h platform.h
request.o: request.h
xmldsig.o: xmldsig.h backend.h certutil.h misc.h
secmem.o: secmem.h

.c.o:
	$(CC) $(CCFLAGS) -c $< -o $@

sign: $(OBJECTS)
	$(CC) $(LINKFLAGS) $(OBJECTS) $(LIBS) -o $@

.PHONY: all clean install uninstall
clean:
	rm -f $(OBJECTS) sign

install: all
	install -d $(DESTDIR)$(LIBEXEC_PATH)
	install -d $(DESTDIR)$(UI_PATH)
	install sign $(DESTDIR)$(LIBEXEC_PATH)
	install -m 644 gtk/sign.xml $(DESTDIR)$(UI_PATH)

uninstall:
	rm -f $(DESTDIR)$(SIGNING_EXECUTABLE) $(DESTDIR)$(UI_GTK_XML)
	[ ! -d $(DESTDIR)$(LIBEXEC_PATH) ] || rmdir $(DESTDIR)$(LIBEXEC_PATH) 2> /dev/null || true
	[ ! -d $(DESTDIR)$(UI_PATH) ] || rmdir $(DESTDIR)$(UI_PATH)
	[ ! -d $(DESTDIR)$(SHARE_PATH) ] || rmdir $(DESTDIR)$(SHARE_PATH)

$(OBJECTS): ../common/defines.h ../common/config.h
../common/config.h:
	@echo "You must run ./configure first." >&2 && false
../common/defines.h:

=== doc/Makefile ===
#
#  Copyright (c) 2010-2014 Samuel Lidén Borell <samuel@kodafritt.se>
# 
#  Permission is hereby granted, free of charge, to any person obtaining a copy
#  of this software and associated documentation files (the "Software"), to deal
#  in the Software without restriction, including without limitation the rights
#  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
#  copies of the Software, and to permit persons to whom the Software is
#  furnished to do so, subject to the following conditions:
#  
#  The above copyright notice and this permission notice shall be included in
#  all copies or substantial portions of the Software.
#  
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
#  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
#  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
#  THE SOFTWARE.
#


MANDIR=`../configure --internal--get-define=MANDIR`
DOCDIR=`../configure --internal--get-define=DOCDIR`

LANGUAGES=sv

all:
clean:

install: all
	# Man page
	install -d $(DESTDIR)$(MANDIR)/man7
	gzip -n -c9 fribid.7 > $(DESTDIR)$(MANDIR)/man7/fribid.7.gz
	# Localization
	for lang in $(LANGUAGES); do \
	    install -d $(DESTDIR)$(MANDIR)/$$lang/man7 && \
	    gzip -n -c9 fribid.$$lang.7 > $(DESTDIR)$(MANDIR)/$$lang/man7/fribid.7.gz || exit 1; \
	done
	# Test scripts
	install -d $(DESTDIR)$(DOCDIR)/fribid
	install -d $(DESTDIR)$(DOCDIR)/fribid/examples
	install -m 644 examples/README $(DESTDIR)$(DOCDIR)/fribid/examples/
	install -m 644 examples/README.sv $(DESTDIR)$(DOCDIR)/fribid/examples/
	install -m 644 examples/common.sh $(DESTDIR)$(DOCDIR)/fribid/examples/
	install -m 755 examples/sign.sh $(DESTDIR)$(DOCDIR)/fribid/examples/
	install -m 755 examples/reqcert.sh $(DESTDIR)$(DOCDIR)/fribid/examples/

uninstall:
	rm -f $(DESTDIR)$(MANDIR)/man7/fribid.7.gz
	for lang in $(LANGUAGES); do \
	    rm -f $(DESTDIR)$(MANDIR)/$$lang/man7/fribid.7.gz || exit 1; \
	done
	rm -f $(DESTDIR)$(DOCDIR)/fribid/examples/README
	rm -f $(DESTDIR)$(DOCDIR)/fribid/examples/README.sv
	rm -f $(DESTDIR)$(DOCDIR)/fribid/examples/common.sh
	rm -f $(DESTDIR)$(DOCDIR)/fribid/examples/sign.sh
	rm -f $(DESTDIR)$(DOCDIR)/fribid/examples/reqcert.sh
	[ ! -d $(DESTDIR)$(DOCDIR)/fribid/examples ] || rmdir $(DESTDIR)$(DOCDIR)/fribid/examples
	[ ! -d $(DESTDIR)$(DOCDIR)/fribid ] || rmdir $(DESTDIR)$(DOCDIR)/fribid

.PHONY: all clean install uninstall

../common/config.h:
	@echo "You must run ./configure first." >&2 && false
../common/defines.h:

=== plugin/Makefile ===
#
#  Copyright (c) 2009 Samuel Lidén Borell <samuel@kodafritt.se>
# 
#  Permission is hereby granted, free of charge, to any person obtaining a copy
#  of this software and associated documentation files (the "Software"), to deal
#  in the Software without restriction, including without limitation the rights
#  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
#  copies of the Software, and to permit persons to whom the Software is
#  furnished to do so, subject to the following conditions:
#  
#  The above copyright notice and this permission notice shall be included in
#  all copies or substantial portions of the Software.
#  
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
#  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
#  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
#  THE SOFTWARE.
#

CFLAGS ?= -O2 -g
PKGCONFIG_CFLAGS=`pkg-config --cflags glib-2.0 x11`
CCFLAGS:=$(CFLAGS) -Wall -Wextra -std=c99 -pedantic -Wno-unused-parameter -I../npapi -fPIC -fvisibility=hidden $(PKGCONFIG_CFLAGS) -DG_DISABLE_DEPRECATED=1 -DGSEAL_ENABLE -DFRIBID_PLUGIN

LINKFLAGS:=$(CFLAGS) $(LDFLAGS) -Wl,-z,defs,-soname,libfribidplugin.so
PKGCONFIG_LIBS=`pkg-config --libs glib-2.0`
LIBS:=-lc $(PKGCONFIG_LIBS)

# Files to be installed
LIB_PATH=`../configure --internal--get-define=LIB_PATH`
NPAPI_PLUGIN_LIB=`../configure --internal--get-define=NPAPI_PLUGIN_LIB`
NPAPI_PLUGIN_PATHS=`../configure --internal--get-define=NPAPI_PLUGIN_PATHS`

OBJECTS=ipc.o npmain.o npobject.o plugin.o pluginutil.o pipe.o npn_gate.o np_entry.o

all: libfribidplugin.so

ipc.o: ../common/defines.h ../common/pipe.h ../common/bidtypes.h plugin.h
npmain.o: ../common/defines.h ../common/bidtypes.h  npobject.h plugin.h
npobject.o: ../common/bidtypes.h npobject.h plugin.h pluginutil.h
pipe.o: ../common/pipe.h ../common/pipe.c
plugin.o: ../common/biderror.h ../common/bidtypes.h plugin.h
pluginutil.o: pluginutil.h
np_entry.o: ../npapi/np_entry.c
npn_gate.o: ../npapi/npn_gate.c

.c.o:
	$(CC) $(CCFLAGS) -c $< -o $@

libfribidplugin.so: $(OBJECTS)
	$(CC) -shared $(LINKFLAGS) -o $@ $(OBJECTS) $(LIBS)

.PHONY: all clean install uninstall
clean:
	rm -f $(OBJECTS) libfribidplugin.so

install: all
	install -d $(DESTDIR)$(LIB_PATH)
	install -m 644 libfribidplugin.so $(DESTDIR)$(LIB_PATH)
	for path in $(NPAPI_PLUGIN_PATHS); do \
	    (../configure --internal--remove-link $(DESTDIR)$$path/libfribidplugin.so $(NPAPI_PLUGIN_LIB) || exit 1) && \
	    install -d $(DESTDIR)$$path && \
	    ln -sf $(NPAPI_PLUGIN_LIB) $(DESTDIR)$$path/libfribidplugin.so; \
	done

uninstall:
	rm -f $(DESTDIR)$(NPAPI_PLUGIN_LIB)
	[ ! -d $(DESTDIR)$(LIB_PATH) ] || rmdir $(DESTDIR)$(LIB_PATH) 2> /dev/null || true
	for path in $(NPAPI_PLUGIN_PATHS); do \
	    ../configure --internal--remove-link $(DESTDIR)$$path/libfribidplugin.so $(NPAPI_PLUGIN_LIB) || exit 1; \
	done

$(OBJECTS): ../common/defines.h ../common/config.h
../common/config.h:
	@echo "You must run ./configure first." >&2 && false
../common/defines.h:

=== translations/Makefile ===
#
#  Copyright (c) 2009 Samuel Lidén Borell <samuel@kodafritt.se>
# 
#  Permission is hereby granted, free of charge, to any person obtaining a copy
#  of this software and associated documentation files (the "Software"), to deal
#  in the Software without restriction, including without limitation the rights
#  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
#  copies of the Software, and to permit persons to whom the Software is
#  furnished to do so, subject to the following conditions:
#  
#  The above copyright notice and this permission notice shall be included in
#  all copies or substantial portions of the Software.
#  
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
#  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
#  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
#  THE SOFTWARE.
#

.SUFFIXES:
.SUFFIXES: .po .mo

POTFILES=../client/gtk.c ../client/gtk/sign.glade
DOMAIN=`../configure --internal--get-define=BINNAME`

PACKAGENAME=`../configure --internal--get-define=PACKAGENAME`
PACKAGEVERSION=`../configure --internal--get-define=PACKAGEVERSION`
LOCALEDIR=`../configure --internal--get-define=LOCALEDIR`

MOFILES=sv.mo
LANGUAGES=sv

DEFINES=../common/config.h ../common/defines.h

all: template.pot $(MOFILES)

template.pot: $(POTFILES) $(DEFINES)
	xgettext -k_ -ktranslatable -d $(DOMAIN) --package-name=$(PACKAGENAME) --package-version=$(PACKAGEVERSION) --copyright-holder='YOUR NAME' -o $@ $(POTFILES)

.po.mo:
	msgfmt $< -o $@

clean:
	rm -f template.pot $(MOFILES)

install: all
	for lang in $(LANGUAGES); do \
	    install -d $(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES && \
	    install -m 644 $$lang.mo $(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES/$(DOMAIN).mo || exit 1; \
	done 

uninstall:
	for lang in $(LANGUAGES); do \
	    rm -f $(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES/$(DOMAIN).mo || exit 1; \
	done 

.PHONY: all clean install uninstall

../common/config.h:
	@echo "You must run ./configure first." >&2 && false
../common/defines.h:

=== debian/changelog ===
fribid (1.0.4-2) unstable; urgency=low

  * Don't compress common.sh file that's sourced by the example scripts

 -- Samuel Lidén Borell <samuel@slbdata.se>  Wed, 30 Apr 2014 09:19:17 +0200

fribid (1.0.4-1) unstable; urgency=low

  * Upstream version 1.0.4. Test scripts are now installed
    under /usr/share/doc/fribid/examples/

 -- Samuel Lidén Borell <samuel@slbdata.se>  Tue, 29 Apr 2014 20:36:40 +0200

fribid (1.0.3-4) unstable; urgency=low

  * Updated debian/copyright file:
      - Moved MPL/NPL license texts into this file.
      - Updated "Format" URL to version 1.0
      - Updated copyright year

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sat, 08 Feb 2014 22:36:35 +0100

fribid (1.0.3-3) unstable; urgency=low

  * Add upstream signing key and signature URLs in debian/watch
  * Add lintian override for the change above, since lintian is not up to
    date and expects an old file name.

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sun, 02 Feb 2014 19:34:31 +0100

fribid (1.0.3-2) unstable; urgency=low

  * Build-depend on opensc. Thanks to Magnus Sandin for the patch
  * Bump standards-version.

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sat, 01 Feb 2014 00:58:37 +0100

fribid (1.0.3-1) unstable; urgency=low

  * Upstream version 1.0.3

 -- Samuel Lidén Borell <samuel@slbdata.se>  Fri, 31 Jan 2014 23:57:08 +0100

fribid (1.0.2+git20121129-2) unstable; urgency=low

  * Add disclaimer to the package description

 -- Samuel Lidén Borell <samuel@slbdata.se>  Tue, 09 Apr 2013 00:18:31 +0200

fribid (1.0.2+git20121129-1) unstable; urgency=low

  * Upstream version 1.0.2
  * Multiarch patch from upstream GIT

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sun, 31 Mar 2013 20:28:27 +0200

fribid (1.0.1a-1) unstable; urgency=low

  * Upstream version 1.0.1a

 -- Samuel Lidén Borell <samuel@slbdata.se>  Fri, 20 Apr 2012 19:11:24 +0200

fribid (1.0.0-4) unstable; urgency=low

  * No changes, just close ITP (Closes: #578563)

 -- Samuel Lidén Borell <samuel@slbdata.se>  Mon, 02 Jan 2012 23:07:06 +0100

fribid (1.0.0-3) unstable; urgency=low

  * Fix lintian errors in copyright file

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sun, 25 Sep 2011 15:45:34 +0200

fribid (1.0.0-2) unstable; urgency=low

  * Updated the suggested and recommended packages.

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sun, 25 Sep 2011 15:38:28 +0200

fribid (1.0.0-1) unstable; urgency=low

  * Imported upstream version 1.0.0.

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sun, 25 Sep 2011 15:25:26 +0200

fribid (0.3.1-1) unstable; urgency=low

  * Imported upstream version 0.3.1.
  * Updated copyright information
  * Bumped Standards-Version to 3.9.2, added build-arch/indep rules
  * Thanks to Ruben Molina for reviewing the previos version.

 -- Samuel Lidén Borell <samuel@slbdata.se>  Mon, 11 Jul 2011 21:35:55 +0200

fribid (0.3.0-1) unstable; urgency=low

  * Imported upstream version 0.3.0. Notable changes include:
      - [Security] Fixed empty "text to sign" with invalid UTF-8 data.
      - Implemented support for obtaining file-based e-IDs.
      - Compatibility with more sites.
  * Build with hardening-wrapper.
  * Updated links Homepage and Vcs-Browser links.

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sun, 24 Apr 2011 00:48:05 +0200

fribid (0.2.2-1) unstable; urgency=low

  * Imported Upstream version 0.2.2

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sat, 18 Dec 2010 14:31:27 +0100

fribid (0.2.1a-1) unstable; urgency=low

  * Initial release for Debian (Closes: #578563)
  * My first package.
  * This Debian package is based on the packaging that was included
    in the FriBID sources up to version 0.2.0.

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sun, 10 Oct 2010 23:59:45 +0200

=== debian/control ===
Source: fribid
Section: web
Priority: optional
Maintainer: Samuel Lidén Borell <samuel@slbdata.se>
Build-Depends: debhelper (>= 7.0.50~), opensc, pkg-config, gettext, libgtk2.0-dev (>= 2.18), libglib2.0-dev (>= 2.8), libssl-dev (>= 0.9.8), libp11-dev (>= 0.2.3), hardening-wrapper
Standards-Version: 3.9.5
Homepage: https://www.fribid.se/
Vcs-Git: git://github.com/samuellb/fribid-debian.git
Vcs-Browser: https://github.com/samuellb/fribid-debian

Package: fribid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: iceweasel (>= 3) | firefox (>= 3) | midori (>= 0.2) | epiphany-browser (>= 2.22) | iceape-browser (>= 2) | iceape | chromium-browser | chromium
Suggests: pcscd, opensc
Description: web browser plugin for BankID
 FriBID is a web browser plugin for BankID, a kind of electronic ID
 (e-legitimation) that's used in Sweden. It supports file-based
 electronic IDs (e-legitimation på fil) and card-based IDs (e-legitimation
 på kort), with some limitations:
 .
  * The new file formats (NGE/NGP) from the official client of version
    4.15.0.14 aren't supported.
  * To change your password/PIN you need to use other programs.
  * To be able to use card-based IDs you need to do some configuration,
    see http://wiki.fribid.se/sidor/SmartCards (in Swedish).
 .
 WARNING! FriBID is NOT supported by the banks. You use it entirely at
 your own risk!

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Support cross-compiling
ifneq ($(DEB_HOST_GNU_SYSTEM),$(DEB_BUILD_GNU_SYSTEM))
    CC=$(DEB_HOST_GNU_SYSTEM)-gcc
endif

# Disable optimizations if "noopt" is set
ifneq ($(findstring noopt,$(DEB_BUILD_OPTIONS)),)
    CFLAGS += -O0 -g
else
    CFLAGS += -O2 -g
endif

# Hardening: http://wiki.debian.org/Hardening
export DEB_BUILD_HARDENING=1

configure:
configure-stamp:
	dh_testdir
	./configure --prefix=/usr --optional-pkcs11 --plugin-path=/usr/lib/iceweasel/plugins --plugin-path=/usr/lib/mozilla/plugins --plugin-path=/usr/lib/midbrowser/plugins --plugin-path=/usr/lib/xulrunner-addons/plugins --plugin-path=/usr/lib/firefox/plugins --plugin-path=/usr/lib/xulrunner/plugins --plugin-path=/usr/lib/iceape/plugins
	touch $@

build: build-arch
build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch $@

build-indep:

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-arch-stamp
	rm -rf $(CURDIR)/debian/fribid
	$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/fribid install

binary-indep: build install

binary-arch: build install
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_strip
	dh_compress -Xcommon.sh
	dh_fixperms
	dh_installdeb
	dh_shlibdeps /usr/lib/fribid/libfribidplugin.so /usr/lib/fribid/sign
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" http://fribid.se/releases/source/fribid-(.*)\.tar\.bz2
